Bug 963162 - "pop" noises from speakers on system shutdown, (HDA Intel, Realtek ALC269VC)
"pop" noises from speakers on system shutdown, (HDA Intel, Realtek ALC269VC)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
18
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 05:42 EDT by Stephen Chen
Modified: 2014-02-05 16:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:22:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Chen 2013-05-15 05:42:43 EDT
Description of problem:
(Thinkpad T430, HD Audio, Realtek ALC3202 sound card, Also known as ‘ALC269VC’)
whenever I shutdown laptop, I get a "cracking noise" from speakers before the machine actually powers off .


Version-Release number of selected component (if applicable):
Fedora 18 (Spherical Cow) 3.8.11-200.fc18.i686

How reproducible:

Steps to Reproduce:
1. Normal shutdown Fedora.
2. At the end of “shutdown”, pop noises from speakers.
  
Actual results:
Thera is  a loud crackling sound before the laptop actually powers off.

Expected results:
Laptop should shutdown quiet. as same as Windows7.

Additional info:
Introduce shutup callback to Realtek spec struct
Add shutup callback to be called codec-specifically for avoiding pop noises at suspend or shutdown. As a generic callback, just turn EAPD off. 

In /linux3.8/sound/pci/hda/patch_realtek.c, the callback only turn of  ALC269VB, but ALC269VA & ALC269VC also need turn off:

static void alc269_shutup(struct hda_codec *codec)
{
     struct alc_spec *spec = codec->spec;

     if (spec->codec_variant != ALC269_TYPE_ALC269VB)
          return;

     if (spec->codec_variant == ALC269_TYPE_ALC269VB)
          alc269vb_toggle_power_output(codec, 0);
     if (spec->codec_variant == ALC269_TYPE_ALC269VB &&
               (alc_get_coef0(codec) & 0x00ff) == 0x018) {
          msleep(150);
     }
}

sorry for my poor English.
Comment 1 Fedora End Of Life 2013-12-21 08:32:36 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 16:22:33 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.